Subject: [Sipping] Comment on draft-rosenberg-sipping-acr-code-00.txt

From: "Alexeitsev, D" <[email-masked]>
Date: Mon, 28 Nov 2005 10:35:26 +0100

Hello All

Considering the following section "The From header field contains a display name of anonymous or a URI within the anonymous.invalid domain." from the draft, there is the question about the case-sensitivity of the display-name parameter.

We have observed different implementation with and without parenthesis, with and without first capital "A". What is the technically correct "display name of anonymous" according to the SIP grammar?

Some references:

RFC3261/20.10 says:
The display name can be tokens, or a quoted string, if a larger character set is desired

The RFC3261/8.1.1.3 says:

A UAC SHOULD use the display name "Anonymous"

And gives an example: 

From: Anonymous <sip:[email-masked]>;tag=hyh8

The RFC3323/4.1.1.1 says

It is RECOMMENDED that user agents seeking anonymity use a display-name of "Anonymous".

RFC3325 gives an example

From: "Anonymous" <sip:[email-masked]>;tag=9802748

Greetings,
Denis Alexeitsev
Deutsche Telekom AG
T-Com Zentrale, TE332-5
Signalling, Gateways and Switching Systems
Deutsche-Telekom-Alle 1, 64307,
Darmstadt, Germany 
Tel:  +49 6151 83-2130
Fax: +49 6151 83-4577
mailto:[email-masked] <mailto:[email-masked]> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 28 Nov 2005 10:59:47 -0500

Good question. I think its 'Anonymous'. However, this points to the real 
problem with this approach. Anonymous is a word in the English language, 
and I would expect that clients in other countries that use other 
languages would want this text to be in a localized language. That will 
not interoperate with systems that expect the English version of this.

As a consequence, I believe we need to move away from 'Anonymous' as the 
flag for anonymity, and this is why I have proposed a new value for the 
'user' URI param, called 'anonymous', which allows anonymity to be 
signaled to automata:

From: Anonyme <sip:[email-masked];user=anonymous>

please see:
http://www.ietf.org/internet-drafts/draft-rosenberg-sip-identity-privacy-00.txt

Thanks,
Jonathan R.

Alexeitsev, D wrote:

> Hello All
> 
> Considering the following section "The From header field contains a 
> display name of anonymous or a URI within the anonymous.invalid domain." 
> from the draft, there is the question about the case-sensitivity of the 
> display-name parameter.
> 
> We have observed different implementation with and without parenthesis, 
> with and without first capital "A". What is the technically correct 
> "display name of anonymous" according to the SIP grammar?
> 
> Some references:
> 
> RFC3261/20.10 says:
> _______mailto:[email-masked]
> 
> 
> ------------------------------------------------------------------------
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com